<!-- ============================================================= -->
<!--  MODULE:    DITA MAP MODULE                                   -->
<!--  VERSION:   1.3                                               -->
<!--  DATE:      March 2004                                        -->
<!--                                                               -->
<!-- ============================================================= -->

<!-- ============================================================= -->
<!--                    PUBLIC DOCUMENT TYPE DEFINITION            -->
<!--                        TYPICAL INVOCATION                     -->
<!--                                                               -->
<!-- Refer to this file by the following public identfier or an    -->
<!-- appropriate system identifier:                                -->
PUBLIC "-//OASIS//Elements DITA Map//EN"
Delivered as file "map.mod"                                        -->
<!-- ============================================================= -->


<!-- ============================================================= -->
<!-- SYSTEM:     Darwin Information Typing Architecture (DITA)     -->
<!--                                                               -->
<!-- PURPOSE:    Module to describe DITA maps                      -->
<!--                                                               -->
<!-- CONTAINS:   1) Entity and element declarations                -->
<!--             2) Relationship table elements                    -->
<!--                                                               -->
<!-- ORIGINAL CREATION DATE:                                       -->
<!--             March 2001                                        -->
<!--                                                               -->
<!-- CREATED BY: The Darwin Information Typing Architecture        -->
<!--             (DITA) was orginated by IBM's XML Workgroup       -->
<!--             and ID Workbench tools team.                      -->
<!--                                                               -->
<!--             (C) Copyright IBM Corporation 2001, 2004.         -->
<!--             All Rights Reserved. This file is part of the     -->
<!--             DITA package on IBM's developerWorks site.        -->
<!--             See license.txt for disclaimers and permissions.  -->
<!-- ============================================================= -->


<!-- ============================================================= -->
<!--                    DTD VERSION\CHANGE HISTORY                 -->
<!-- ============================================================= -->
<!--
     =============================================================

Version  Reason/Occasion                   (who) vx.x (yyyy-mm-dd)

     ============================================================= 

                                                 v1.1.3a (2004-03)
11. bug fix: moved keyword declaration to follow (sic preceed?)
    meta_xml inclusion (PE reference order issue)

                                                 v1.1.3a (2004-03)
10. bug fix: cut keyword def from meta_xml; paste into 
    topic.mod unchanged, put into map.mod with no tm

                                                 v1.1.3a (2004-03)
9.  bug fix: completed removal of erroneous term/tm inclusion 
    from words.cnt

                                                 v1.1.2 (2004-03)
8.  Release 1.3 March 2004: bug fixes

                                                 v1.1.2 (2003-06)
7.  Release 1.2 June 2003

                                                 v1.1.1 (2002-12)
6.  Release 1.1 December 2002

                                                 v1.1.0 (2002-03)
5.  Release 1 March 2002 (dita10.zip)

                                                 v1.0.3 (2002-01)
4.  fix 1, dtd freeze for UCD-1 January 2002

                                                 v1.0.2 (2001-12)
3.  consolidated redesign December 2001
 
                                                 v1.0.1 (2001-10)
2.  fix 1 on developerWorks, October 2001 (dita01.zip)

                                                 v1.0.0 (2001-03)
1.  Initial release on developerWorks, March 2001 (dita00.zip)

                                                                   -->


<!-- ============================================================= -->
<!--                    DESIGN NOTE                                -->
<!-- ============================================================= -->

<!--
     FUTURE: @sortkey - lists criteria for sorting children - 
             won't apply when colltype=sequence; should be 
             able to list multiple criteria -eg @type @title 
             gives order by type but alpha within type
                                                                   -->

<!-- ============================================================= -->
<!--                    GENERAL ENTITY DECLARATIONS                -->
<!-- ============================================================= -->

<!--                    DITA ARCHITECTURE VERSION NUMBER           -->
<!ENTITY   DITAArchVersion 
                        '1.0'                                        >


<!-- ============================================================= -->
<!--                    ELEMENT REDEFINITIONS                      -->
<!-- ============================================================= -->

<!-- XXX tc: One Cut at the entity naming:    XXX -->

<!--                    MAP NAME                                   -->
<!ENTITY % map          "map"                                        >


<!--                    NAVIGATION REFERNCE NAME                   -->
<!ENTITY % navref       "navref"                                     >


<!--                    TOPIC REFERENCE NAME                       -->
<!ENTITY % topicref     "topicref"                                   >


<!--                    ANCHOR NAME                                -->
<!ENTITY % anchor       "anchor"                                     >


<!--                    RELATIONSHIP TABLE NAME                    -->
<!ENTITY % reltable     "reltable"                                   >


<!--                    RELATIONSHIP HEADER NAME                   -->
<!ENTITY % relheader    "relheader"                                  >


<!--                    RELATIONSHIP COLUMN SPECIFICATION NAME     -->
<!ENTITY % relcolspec   "relcolspec"                                 >


<!--                    RELATIONSHIP ROW NAME                      -->
<!ENTITY % relrow       "relrow"                                     >


<!--                    RELATIONSHIP CELL NAME                     -->
<!ENTITY % relcell      "relcell"                                    >


<!--                    TOPIC METADATA NAME                        -->
<!ENTITY % topicmeta    "topicmeta"                                  >


<!--                    LINK TEXT NAME                             -->
<!ENTITY % linktext     "linktext"                                   >


<!--                    SEARCH TITLE NAME                          -->
<!ENTITY % searchtitle  "searchtitle"                                >


<!--                    SHORT DESCRIPTION NAME                     -->
<!ENTITY % shortdesc    "shortdesc"                                  >


<!-- XXX tc: Another Cut at the entity naming:  XXX -->


<!--                    ELEMENT REDEFINITIONS                      -->
<!ENTITY % map          "map"                                        >
<!ENTITY % navref       "navref"                                     >
<!ENTITY % topicref     "topicref"                                   >
<!ENTITY % anchor       "anchor"                                     >
<!ENTITY % reltable     "reltable"                                   >
<!ENTITY % relheader    "relheader"                                  >
<!ENTITY % relcolspec   "relcolspec"                                 >
<!ENTITY % relrow       "relrow"                                     >
<!ENTITY % relcell      "relcell"                                    >
<!ENTITY % topicmeta    "topicmeta"                                  >
<!ENTITY % linktext     "linktext"                                   >
<!ENTITY % searchtitle  "searchtitle"                                >
<!ENTITY % shortdesc    "shortdesc"                                  >


<!-- ============================================================= -->
<!--                    ENTITY DECLARATIONS FOR ATTRIBUTE VALUES   -->
<!-- ============================================================= -->


<!--                    DATE FORMAT                                -->
<!ENTITY % date-format  'CDATA'                                      >


<!--                    TOPIC REFERENCE TYPES                      -->
<!--                    Values for the "topicref" attribute (??)   -->
<!ENTITY % topicreftypes 
                        'topic | concept | task | 
                         reference | external | local'               >


<!-- ============================================================= -->
<!--                    ATTRIBUTE COLLECTIONS USED IN MANY PLACES  -->
<!-- ============================================================= -->


<!--                    SELECTION ATTRIBUTES                       -->
<!--                    Attributes used as a basic for selecting
                        and grouping topics, maps, topic references,
                        relationship tables, etc.                      -->
<!--         platform   A blank delimited list of values that
                        describe, for example, the operating system,
                        hardware platform, or other environment
             product    A blank delimited list of values that
                        describe, for example, product or component
                        name, version ,brand, or internal code or 
                        number, This attribute is equivalent to the 
                        "prodinfor" attribute for the topic metadata.
             audience   A blank delimited list of values that
                        describe the audience  
             otherprops A blank delimited list of values that acts as
                        a catchall for metadata qualification values
                        about the content
             importance The degree of priority of the content. 
                        Values are:
                           default     - The typical priority
                           high        - Priority high
                           low         - Low priority
                           normal      - Priority neither high nor low
                           optional    - The opposite of required
                                         content, this may not be
                                         used as circumstances
                                         warrant
                           recommended - Content is recommended 
                           required    - Content is required 
                           urgent      - Priority is highest
             rev        The identifier of the topic revision level
             status     The current state of the content of a topic.
                        Values are:
                           changed     - Topic has been modified
                           deleted     - Topic ha been deleted
                           new         - Topic is new
                           unchanged   - Topic has NOT been modified
                                                                   -->
<!ENTITY % select-atts   
            'platform   CDATA                             #IMPLIED
             product    CDATA                             #IMPLIED
             audience   CDATA                             #IMPLIED
             otherprops CDATA                             #IMPLIED
             importance (obsolete | deprecated | 
                         optional | default | low | 
                         normal | high | recommended | 
                         required | urgent )              #IMPLIED
             rev        CDATA                             #IMPLIED
             status     (new | changed | deleted | 
                         unchanged)                       #IMPLIED'  >


<!--                    IDENTIFER ATTRIBUTES                       -->
<!--                    Topic identifcaiton attributes             -->
<!--           id       Unique identifier; an id for the 
                        reference itself; to allow the 
                        topicref and its children to be 
                        reused by other maps, or elsehere 
                        in same map
               conref   pulls in another topicref and its 
                        children by URL plus id or just id 
                        if local                                   -->
<!ENTITY % id-atts
            'id         NMTOKEN                           #IMPLIED
             conref     CDATA                             #IMPLIED'  >


<!--                    UNIVERSAL ATTRIBUTES                       -->
<!--                    Attributes used for xxx pls define
                        universal as different in intent form 
                        global xxx                                 -->
             translate  XXXX
                          yes - translate
                          no  - don't translate                    -->
<!ENTITY % univ-atts     
            'translate  (yes | no)                        #IMPLIED
             xml:lang   NMTOKEN                           #IMPLIED 
             %id-atts;
             %select-atts;'                                          >


<!--                    GLOBAL ATTRIBUTES                          -->
<!--                    Attributes used for xxx pls define
                        universal as different in intent form 
                        global xxx                                 -->
<!--         xtrc       XXXX
             xtrf       XXXX                                       -->
<!ENTITY % global-atts
            'xtrc       CDATA                             #IMPLIED
             xtrf       CDATA                             #IMPLIED'  >


<!--                    TOPIC REFERENCE ATTRIBUTES                 -->
<!--                    Attributes for topic references            -->
<!--         collection-type
                        Used to identify the kind of groupings 
                        for child topicrefs, for example,
                        to indicate that a group of siblings are part
                        of a particular type of collection such as a
                        family or sequence
                        Values are:
                           choice    - xxx
                           unordered - xxx
                           sequence  - xxx  
                           family    - xxx
             type       The type of the target topic. Value should 
                        match the target's root topic element 
                        or one of its ancestors in its class 
                        attribute                                  
             scope      XXXX
             locktitle  Set to yes if you want the local def 
                        of the title to override the target        
             format     XXXX
             linking    Used on a topic to modify how the topic
                        participates in a relationship
                           none       - This topic does not exist in
                                        the map for the purpose of
                                        calculating links
                           normal     - Use the default linking
                                        behavior, which is reciprocal
                                        (e.g., children link to
                                        parents and parents to
                                        children, etc.)
                           sourceonly - The topic will link to its
                                        related topics but not vice
                                        versa
                           targetonly - The current ref will be a 
                                        target for links generated 
                                        from the rel, but will not be a
                                        source for any of those links 
                                        (ie, no links based on the 
                                        context rel will be added 
                                        to the referenced topic) 
             toc        XXXX
                           yes - XXXX
                           no  - XXXX
             print      Does this topic print or display?
                           yes - print the topic
                           no  - don't print the topic
             search     Should this topic included when searching?
                           yes - search this topic
                           no  - don't search this topic
             chunk      XXXX                                       -->
<!ENTITY % topicref-atts 
            'collection-type 
                        (choice | unordered | sequence | 
                         family)                          #IMPLIED
             type       CDATA                             #IMPLIED
             scope      (local | peer | external)         #IMPLIED
             locktitle  (yes|no)                          #IMPLIED
             format     CDATA                             #IMPLIED
             linking    (none | normal | sourceonly | targetonly)
                                                          #IMPLIED
             toc        (yes | no)                        #IMPLIED
             print      (yes | no)                        #IMPLIED
             search     (yes | no)                        #IMPLIED
             chunk      CDATA                             #IMPLIED'  >



<!--                    XXXX                                       -->
<!--         collection-type
                        used to identify the kind of 
                        grouping for child topicrefs               
             type       the type of the target topic; should 
                        match the target's root topic elem 
                        or one of its ancestors in its class 
                        attribute                                  
             scope      XXXX
             locktitle  set to yes if you want the local def 
                        of the title to override the target        
             format     XXXX
             linking    targetonly means that the current ref 
                        will be a target for links generated 
                        from the rel, but will not be a source 
                        for any of those links (ie, no links 
                        based on the context rel will be added 
                        to the referenced topic
             toc        XXXX
                        yes - XXXX
                        no  - XXXX
             print      XXXX
                        yes - print
                        no  - don't print
             search     XXXX
                        yes - search
                        no  - don't search
             chunk      XXXX                                       -->
<!ENTITY % topicref-atts-no-toc 
            'collection-type
                        (choice | unordered | sequence | 
                         family)                          #IMPLIED
             type       CDATA                             #IMPLIED
             scope      (local | peer | external)         #IMPLIED
             locktitle  (yes|no)                             "yes"
             format     CDATA                             #IMPLIED
             linking    (targetonly | sourceonly | 
                         normal | none)                   #IMPLIED
             toc        (yes | no)                            "no"
             print      (yes | no)                        #IMPLIED
             search     (yes | no)                        #IMPLIED
             chunk      CDATA                             #IMPLIED'  >
             

<!-- ============================================================= -->
<!--                    KEYWORD ELEMENTS                           -->
<!--                    <keyword< is used in the meta_xml module   -->
<!--                    and its Paramter Entities therefore must   --> 
<!--                    be declared first                          -->
<!-- ============================================================= -->


<!--                    KEYWORD NAME REDEFINITION                  -->
<!ENTITY % keyword      "keyword"                                    >


<!--                    KEYWORD ELEMENT                            -->
<!ELEMENT  keyword      (#PCDATA)                                    >
<!--         keyref     A key that the processor can use to 
                        look up the URL/URI for the target
             outputclass
                        A label that can be used to specify a role
                        or other semantic distinction              
                        (Since their is not formal type declaration or
                        structural consistency, best practice is to
                        use this attribute sparingly or in temporary
                        circumstances.                             -->
<!ATTLIST  keyword
             keyref     NMTOKEN                           #IMPLIED
             outputclass
                        CDATA                             #IMPLIED 
             %univ-atts;                                             >


<!--                    KEYWORD SPECIALIZATION ATTRIBUTES          -->
<!ATTLIST  keyword      %global-atts; class CDATA "- topic/keyword " >                


<!--                    SIMPLE CONTENT MODEL FOR SEARCH TERMS
                        AND OTHER SIMPLE ELEMENTS                  -->
<!ENTITY % words.cnt    "#PCDATA | %keyword;"                        >


<!-- ============================================================= -->
<!--                    MODULES CALLS                              -->
<!-- ============================================================= -->
             

<!--                    EXTERNAL CALL TO META_XML MODULE           -->
<!--                    DITA module that defines metadata elements is
                        also used by DITA maps, where metadata can be
                        defined for multiple topics at once        -->
<!ENTITY % metaXML      PUBLIC 
"-//OASIS//ELEMENTS DITA Metadata//EN" "meta_xml.mod"                >
%metaXML;


<!-- ============================================================= -->
<!--                    MAP ELEMENT (DOCUMENT ELEMENT)             -->
<!-- ============================================================= -->


<!--                    MAP                                        -->
<!--                    Container documents used to collects and 
                        organize references to DITA topics to 
                        indicate the relationships among the topics. 
                        Maps can also serve as outlines or Tables of 
                        Contents for DITA deliverables and as build 
                        manifests for DITA projects.
<!ELEMENT  map          ((%topicmeta;)?, 
                         (%mapref;|%anchor;|%topicref;|%reltable;)* )>
<!--         title      XXXX
             id         Unique identifier; an id for the 
                        reference itself; to allow the 
                        topicref and its children to be 
                        reused by other maps, or elsehere 
                        in same map                               
             anchorref  XXXX
             translate  XXXX
                           yes - translate
                           no  - don't translate
             xml:lang   The language in which the content of the
                        element is expressed.  Recommended best 
                        practice is to use values as defined in
                        RFC 3066, typically 2-letter language
                        codes such as "fr" (French), "en" (English),
                        and "de" (German). The values may include
                        hyphenated differentiators such as 
                        +"en-au" (Australian English) and "en-us"
                        (United States English)
             DTDVersion Version of the DTD used for this map
             domains    List the domains in use by the current
                        document type, and the ancestry for each
                        domain. Each domain is written as a string of
                        parentheses, that names each ancestor domain
                        plus the name of the constributing domain,
                        in order of most distant ancestor followed
                        by successively more recent,eg:
                          domains="(topic ui-d) (topic sw-d)
                           (topic pr-d cpp-d)
                        where the domain abbreviations are:
                           hi-d - typographic
                           pr-d - programming
                           sw-d - software
                           ui-d - user interface 
                           ut-d - utilities                        -->
<!ATTLIST  map 
             title      CDATA                             #IMPLIED
             id         ID                                #IMPLIED
             anchorref  CDATA                             #IMPLIED
             translate  (yes | no)                        #IMPLIED
             xml:lang   NMTOKEN                           #IMPLIED
             DTDVersion CDATA                 #FIXED "&DTDVersion;"
             domains    CDATA                  "&included-domains;" 
             %topicref-atts;
             %select-atts;                                           >


<!-- ============================================================= -->
<!--                    MAP ELEMENTS (ALPHABETICAL ORDER)          -->
<!-- ============================================================= -->


<!--                    ANCHOR                                     -->
<!--                    Used to identify a position within a map as 
                        a target for references                    -->
<!ELEMENT  anchor       EMPTY                                        >
<!--           id       Unique identifier for the anchor to allow
                        it to be referenced                        -->
<!ATTLIST  anchor
             id         ID                               #REQUIRED   >


<!--                    XXXX                                       -->
<!ELEMENT  navref       EMPTY                                        >
<!--         mapref     XXXX                                       -->
<!ATTLIST  navref
             mapref     CDATA                             #IMPLIED   >


<!--                    TOPIC REFERENCE                            -->
<!ELEMENT  topicref     ((%topicmeta;)?, 
                         (%topicref; | %mapref; | %anchor;)* )       >
<!--         navtitle   The title of the target topic for use in 
                        navigation; may be derived (from topic's 
                        navtitle or title), or may be locally 
                        defined
             href       The URL/URI for the target topic, 
                        e.g., ..\ref\bigfile.xml#mytopic
             keyref     A key that the processor can use to 
                        look up the URL/URI for the target
             query      Lists query criteria, or uses topicref's 
                        metadata as criteria; pulls in matching 
                        topics under the current one if title is 
                        present, or replaces the current location 
                        if title is not
             copy-to    XXXX
             translate  XXXX
                           yes - translate
                           no  - don't translate
             xml:lang   The language in which the value of the
                        element is expressed.  Recommended best 
                        practice is to use values as defined in
                        RFC 1766, typically 2-letter language
                        codes such as "FR" (French), "EN" (English),
                        and "DE" (German). These values are NOT
                        case sensitive, so "EN" = "en". The values
                        may include hyphenated differentiators such 
                        as "EN-AU" (Australian English) and "EN-US"
                        (United States English).                   -->              
<!ATTLIST  topicref
             navtitle   CDATA                             #IMPLIED
             href       CDATA                             #IMPLIED
             keyref     CDATA                             #IMPLIED
             query      CDATA                             #IMPLIED
             copy-to    CDATA                             #IMPLIED
             %topicref-atts;
             %id-atts;
             %select-atts;
             translate  (yes | no)                        #IMPLIED
             xml:lang   NMTOKEN                           #IMPLIED   >


<!-- ============================================================= -->
<!--                    RELATIONSHIP TABLE ELEMENTS                -->
<!-- ============================================================= -->


<!--                    RELATIONSHIP TABLE                         -->
<!ELEMENT  reltable     ((%topicmeta;)?, (%relheader;)?, 
                         (%relrow;)+)                                >
<!--         title      XXXX
             translate  XXXX
                          yes - translate
                          no  - don't translate
             xml:lang   The language in which the content of the
                        element is expressed.  Recommended best 
                        practice is to use values as defined in
                        RFC 3066, typically 2-letter language
                        codes such as "fr" (French), "en" (English),
                        and "de" (German). The values may include
                        hyphenated differentiators such as 
                        +"en-au" (Australian English) and "en-us"
                        (United States English)                    -->
<!ATTLIST  reltable        
             title      CDATA                             #IMPLIED
             translate  (yes | no)                        #IMPLIED
             xml:lang   NMTOKEN                           #IMPLIED 
             %id-atts;
             %topicref-atts-no-toc;
             %select-atts;                                           >
                

<!--                    RELATIONSHIP TABLE HEADER                  -->
<!ELEMENT  relheader    (%relcolspec;)+                              >


<!--                    RELATIONSHIP COLUMN SPECIFICATION          -->
<!ELEMENT  relcolspec   (%topicmeta;)?                               >
<!--         translate  XXXX
                          yes - translate
                          no  - don't translate
             xml:lang   The language in which the content of the
                        element is expressed.  Recommended best 
                        practice is to use values as defined in
                        RFC 3066, typically 2-letter language
                        codes such as "fr" (French), "en" (English),
                        and "de" (German). The values may include
                        hyphenated differentiators such as 
                        +"en-au" (Australian English) and "en-us"
                        (United States English)                    -->
<!ATTLIST  relcolspec
             translate  (yes | no)                        #IMPLIED
             xml:lang   NMTOKEN                           #IMPLIED
             %topicref-atts;
             %select-atts;                                           >


<!--                    RELATIONSHIP TABLE ROW                     -->
<!ELEMENT  relrow       (%relcell;)*                                 >
<!--         translate  XXXX
                          yes - translate
                          no  - don't translate
             xml:lang   The language in which the content of the
                        element is expressed.  Recommended best 
                        practice is to use values as defined in
                        RFC 3066, typically 2-letter language
                        codes such as "fr" (French), "en" (English),
                        and "de" (German). The values may include
                        hyphenated differentiators such as 
                        +"en-au" (Australian English) and "en-us"
                        (United States English)                    -->
<!ATTLIST  relrow       
             translate  (yes | no)                        #IMPLIED
             xml:lang   NMTOKEN                           #IMPLIED 
             %id-atts;
             %select-atts;                                           >


<!--                    RELATIONAL TABLE CELL                      -->
<!ELEMENT  relcell      ((%topicref;)*)                              >
<!--         translate  XXXX
                        yes - translate
                        no  - don't translate
             xml:lang   The language in which the content of the
                        element is expressed.  Recommended best 
                        practice is to use values as defined in
                        RFC 3066, typically 2-letter language
                        codes such as "fr" (French), "en" (English),
                        and "de" (German). The values may include
                        hyphenated differentiators such as 
                        +"en-au" (Australian English) and "en-us"  -->
<!ATTLIST  relcell 
             %id-atts;
             %topicref-atts;
             translate  (yes | no)                        #IMPLIED
             xml:lang   NMTOKEN                           #IMPLIED  
             %id-atts;
             %topicref-atts;                                         >



<!--                    TOPIC METADATA                             -->
<!ELEMENT  topicmeta    ((%linktext;)?, (%searchtitle;)?, 
                         (%shortdesc;)?, (%author;)*, (%source;)?, 
                         (%publisher;)?, (%copyright;)*, 
                         (%critdates;)?, (%permissions;)?, 
                         (%audience;)*, (%category;)*, 
                         (%keywords;)*, (%prodinfo;)*, (%othermeta;)*, 
                         (%resourceid;)*)                            >
<!--         lockmeta   XXXX
                          yes - yes, lock the metadata
                          no  - no, don't lock the metadata                                 -->
<!ATTLIST  topicmeta
             lockmeta   (yes | no)                        #IMPLIED   >


<!--                    LINK TEXT                                  -->
<!--                    Words to display associated with a link    -->
<!ELEMENT  linktext     (%words.cnt;)*                               >


<!--                    SEARCH TITLE                               -->
<!--                    Title modified in some way to create a 
                        completely searchable title                -->
<!ELEMENT  searchtitle  (%words.cnt;)*                               >


<!--                    SHORT DESCRIPTION                          -->
<!--                    Brief, humna-readable descritption of topic-->
<!ELEMENT  shortdesc    (%words.cnt;)*                               >


<!-- ============================================================= -->
<!--                    SPECIALIZATION ATTRIBUTES                  -->
<!-- ============================================================= -->

<!-- XXX tc: FIRST CUT AT FORMATTTING XXX-->


<!--          class     Provides a mapping between the element's 
                        current name and the its more general 
                        equivalent names.                          -->
                        
<!ATTLIST  anchor       %global-atts; class CDATA "- map/anchor "    >
<!ATTLIST  linktext     %global-atts; class CDATA "- map/linktext "  >
<!ATTLIST  map          %global-atts; class CDATA "- map/map "       >
<!ATTLIST  navref       %global-atts; class CDATA "- map/navref "    >
<!ATTLIST  relcell      %global-atts; class CDATA "- map/relcell "   >
<!ATTLIST  relcolspec   %global-atts; class CDATA "- map/relcolspec ">
<!ATTLIST  relheader    %global-atts; class CDATA "- map/relheader " >
<!ATTLIST  relrow       %global-atts; class CDATA "- map/relrow "    >
<!ATTLIST  reltable     %global-atts; class CDATA "- map/reltable "  >
<!ATTLIST  searchtitle  %global-atts; class CDATA "- map/searchtitle ">
<!ATTLIST  shortdesc    %global-atts; class CDATA "- map/shortdesc " >
<!ATTLIST  topicmeta    %global-atts; class CDATA "- map/topicmeta " >
<!ATTLIST  topicref     %global-atts; class CDATA "- map/topicref "  >


<!-- ============================================================= -->
<!--                    SPECIALIZATION ATTRIBUTES                  -->
<!-- ============================================================= -->

<!-- XXX tc: Another CUT AT FORMATTTING XXX-->

<!--          class     Provides a mapping between the element's 
                        current name and the its more general 
                        equivalent names.                          -->


<!--                    MAP SPECIALIZATION ATTRIBUTES              -->
<!ATTLIST  map 
             %global-atts; 
             class      CDATA                           "- map/map " >


<!--                    NAVIGATION REFERENCE SPECIALIZATION ATTS   -->
<!ATTLIST  navref 
             %global-atts; 
             class      CDATA                        "- map/navref " >


<!--                    TOPIC REFERENCE SPECIALIZATION ATTRIBUTES  -->
<!ATTLIST  topicref  
             %global-atts; 
             class      CDATA                      "- map/topicref " >


<!--                    ANCHOR SPECIALIZATION ATTRIBUTES           -->
<!ATTLIST  anchor  
             %global-atts; 
             class      CDATA                        "- map/anchor " >


<!--                    RELEASE TABLE SPECIALIZATION ATTRIBUTES    -->
<!ATTLIST  reltable 
             %global-atts; 
             class      CDATA                      "- map/reltable " >


<!--                    RELEASE HEADER SPECIALIZATION ATTRIBUTES   -->
<!ATTLIST  relheader 
             %global-atts; 
             class      CDATA                     "- map/relheader " >


<!--                    RELEASE COLUMN SPEC SPECIALIZATION ATTS    -->
<!ATTLIST  relcolspec 
             %global-atts; 
             class      CDATA                    "- map/relcolspec " >


<!--                    RELEASE ROW SPECIALIZATION ATTRIBUTES      -->
<!ATTLIST  relrow 
             %global-atts; 
             class      CDATA                        "- map/relrow " >


<!--                    RELEASE CELL SPECIALIZATION ATTRIBUTES     -->
<!ATTLIST  relcell 
             %global-atts; 
             class      CDATA                       "- map/relcell " >


<!--                    TOPIC METADATA SPECIALIZATION ATTRIBUTES   -->
<!ATTLIST  topicmeta 
             %global-atts; 
             class      CDATA                     "- map/topicmeta " >


<!--                    LINK TEXT SPECIALIZATION ATTRIBUTES        -->
<!ATTLIST  linktext 
              %global-atts; 
              class     CDATA                      "- map/linktext " >


<!--                    SEARCH TITLE SPECIALIZATION ATTRIBUTES     -->
<!ATTLIST  searchtitle 
             %global-atts; 
             class      CDATA                   "- map/searchtitle " >


<!--                    SHORT DESCRIPTION SPECIALIZATION ATTRIBUTES-->
<!ATTLIST  shortdesc 
             %global-atts; 
             class      CDATA                     "- map/shortdesc " >


<!-- ================== End DITA Map Module  ===================== -->