<!-- ============================================================= -->
<!--  MODULE:    DITA Map Group Domain                             -->
<!--  VERSION:   1.3                                               -->
<!--  DATE:      January 2005                                      -->
<!--                                                               -->
<!-- ============================================================= -->

<!-- ============================================================= -->
<!--                    PUBLIC DOCUMENT TYPE DEFINITION            -->
<!-- Refer to this file by the following public identifier or an   -->
<!-- appropriate system identifier:
PUBLIC "-//OASIS//ELEMENTS DITA Map Group Domain//EN"
Delivered as file "mapgroup.mod"                                   -->
<!-- ============================================================= -->
<!-- SYSTEM:     Darwin Information Typing Architecture (DITA)     -->
<!--                                                               -->
<!-- PURPOSE:    DITA module that defines the Topic Headers and    -->
<!--             Topic Groups                                      -->
<!--                                                               -->
<!-- CONTAINS:   1) Topic Header and Topic Group Definitions       -->
<!--                                                               -->
<!-- ORIGINAL CREATION DATE:                                       -->
<!--             March 2001                                        -->
<!--                                                               -->
<!-- CREATED BY: The Darwin Information Typing Architecture        -->
<!--             (DITA) was originated by IBM's XML Workgroup      -->
<!--             and ID Workbench tools team.                      -->
<!--                                                               -->
<!--             (C) Copyright IBM Corporation 2001, 2004.         -->
<!--             All Rights Reserved. This file is part of the     -->
<!--             DITA package on IBM's developerWorks site.        -->
<!--             See license.txt for disclaimers and permissions.  -->
<!-- ============================================================= -->


<!-- ============================================================= -->
<!--                    DTD VERSION\CHANGE HISTORY                 -->
<!-- ============================================================= -->
<!--
     =============================================================

Version  Reason/Occasion                   (who) vx.x (yyyy-mm-dd)
    =============================================================
    Release 1.1                                 
                                                v1.1.2  (2004-03)
8.  1.1.2 Bug Fixes

                                                v1.1.2  (2003-06)
7.  1.1.2 Initial Release 1.2 June 2003

                                                v1.1.1  (2002-12)
6.  Release 1.1 December 2002

                                                v1.1.0  (2002-03)
5.  Release 1 March 2002 (dita10.zip)

    =============================================================
    Release 1.0                                 
                                                v1.0.3  (2002-01)
4.  Fix 1, DTD freeze for UCD-1, January 2002  

                                                v1.0.2  (2001-12)
3.  Consolidated redesign, December 2001 

                                                v1.0.1  (2001-10)
2.  Fix 1 on developerWorks, October 2001 (dita01.zip)

                                                v1.0.0  (2001-03)
1.  Initial release on developerWorks, March 2001 (dita00.zip)

<!-- ============================================================= -->
<!--                    ELEMENT REDEFINITIONS                      -->
<!-- ============================================================= -->


<!--                    TOPIC HEADER NAME                          -->
<!ENTITY % topichead    "topichead"                                  >


<!--                    TOPIC GROUP NAME                           -->
<!ENTITY % topicgroup   "topicgroup"                                 >


<!-- ============================================================= -->
<!--                    TOPIC HEADER ELEMENTS                      -->
<!-- ============================================================= -->


<!--                    TOPIC HEADER                               -->
<!--                    XXX
                        XXX                                        -->
<!ELEMENT  topichead    ((%topicmeta;)?, 
                         (%topicref; | %navref; | %anchor;)* )       >
<!--         navtitle   The title of the target topic for use in 
                        navigation; may be derived (from topic's 
                        navtitle or title), or may be locally 
                        defined
             id         Unique identifier; an id for the 
                        reference itself; to allow the 
                        topicref and its children to be 
                        reused by other maps, or elsewhere 
                        in same map                               
             conref     Pulls in another topicref and its 
                        children by URL plus id or just id 
                        if local                                   -->
<!ATTLIST  topichead
             navtitle   CDATA                             #REQUIRED
             id         ID                                #IMPLIED
             conref     CDATA                             #IMPLIED
             %topicref-atts;
             %select-atts;                                           >


<!--                    TOPIC GROUP                                -->
<!--                    XXX                                        -->
<!ELEMENT  topicgroup   ((%topicmeta;)?, 
                         (%topicref; | %navref; | %anchor;)* )       >
<!--         id         Unique identifier; an id for the 
                        reference itself; to allow the 
                        topicref and its children to be 
                        reused by other maps, or elsewhere 
                        in same map                               
             conref     Pulls in another topicref and its 
                        children by URL plus id or just id 
                        if local                                   -->
<!ATTLIST  topicgroup
             id         ID                                #IMPLIED
             conref     CDATA                             #IMPLIED
             %topicref-atts;
             %select-atts;                                           >
             

<!-- ============================================================= -->
<!--                    SPECIALIZATION ATTRIBUTES                  -->
<!-- ============================================================= -->


<!ATTLIST topichead    %global-atts;  class CDATA "+ map/topicref mapgroup/topichead "  >
<!ATTLIST topicgroup   %global-atts;  class CDATA "+ map/topicref mapgroup/topicgroup " >


<!-- ================== End DITA Map Group Domain ================ -->