<!-- ============================================================= -->
<!--  MODULE:    DITA XML Metadata                                 -->
<!--  VERSION:   1.3                                               -->
<!--  DATE:      January 2005                                      -->
<!--                                                               -->
<!-- ============================================================= -->

<!-- ============================================================= -->
<!--                    PUBLIC DOCUMENT TYPE DEFINITION            -->
<!-- Refer to this file by the following public identifier or an   -->
<!-- appropriate system identifier:
PUBLIC "-//OASIS//ENTITIES DITA Metadata//EN"
Delivered as file "meta_xml.mod"                                   -->

<!-- ============================================================= -->
<!-- SYSTEM:     Darwin Information Typing Architecture (DITA)     -->
<!--                                                               -->
<!-- PURPOSE:    DITA module that defines metadata elements for    -->
<!--             use in topic types and topic map types. When      --> 
<!--             used by DITA maps, metadata can be defined for    -->
<!--             multiple topics at once                           -->
<!--                                                               -->
<!-- CONTAINS:   1) Metadata element definitions                   -->
<!--                                                               -->
<!-- ORIGINAL CREATION DATE:                                       -->
<!--             March 2001                                        -->
<!--                                                               -->
<!-- CREATED BY: The Darwin Information Typing Architecture        -->
<!--             (DITA) was originated by IBM's XML Workgroup      -->
<!--             and ID Workbench tools team.                      -->
<!--                                                               -->
<!--             (C) Copyright IBM Corporation 2001, 2004.         -->
<!--             All Rights Reserved. This file is part of the     -->
<!--             DITA package on IBM's developerWorks site.        -->
<!--             See license.txt for disclaimers and permissions.  -->
<!-- ============================================================= -->


<!-- ============================================================= -->
<!--                    DTD VERSION\CHANGE HISTORY                 -->
<!-- ============================================================= -->
<!--
     =============================================================

Version  Reason/Occasion                   (who) vx.x (yyyy-mm-dd)
    =============================================================
    Release 1.1                                 
                                                v1.1.3a (2004-03)
8.  1.1.3a 
         - architecture: introduced tm into keyword to support 
           conrefing of product names
         - bug fix: cut keyword def from meta_xml; paste into 
           topic.mod unchanged, put into map.mod with no tm

                                                v1.1.3  (2004-03)
8.  1.1.3 Release 1.3 March 2004: bug fixes and map updates

                                                v1.1.2  (2003-06)
7.  1.1.2 Initial Release 1.2 June 2003

                                                v1.1.1  (2002-12)
6.  Release 1.1 December 2002

                                                v1.1.0  (2002-03)
5.  Release 1 March 2002 (dita10.zip)

    =============================================================
    Release 1.0                                 
                                                v1.0.3  (2002-01)
4.  Fix 1, DTD freeze for UCD-1, January 2002  

                                                v1.0.2  (2001-12)
3.  Consolidated redesign, December 2001 

                                                v1.0.1  (2001-10)
2.  Fix 1 on developerWorks, October 2001 (dita01.zip)

                                                v1.0.0  (2001-03)
1.  Initial release on developerWorks, March 2001 (dita00.zip)

<!-- ============================================================= -->
<!--                    ELEMENT REDEFINITIONS                      -->
<!-- ============================================================= -->

<!-- TC: Here's version One -->

<!--                    AUTHOR NAME                                -->
<!ENTITY % author       "author"                                     >


<!--                    SOURCE NAME                                -->
<!ENTITY % source       "source"                                     >


<!--                    PUBLISHER NAME                             -->
<!ENTITY % publisher    "publisher"                                  >


<!--                    COPYRIGHT NAME                             -->
<!ENTITY % copyright    "copyright"                                  >


<!--                    COPYRIGHT YEAR NAME                        -->
<!ENTITY % copyryear    "copyryear"                                  >


<!--                    COPYRIGHT HOLDER NAME                      -->
<!ENTITY % copyrholder  "copyrholder"                                >


<!--                    CRITICAL DATES NAME                        -->
<!ENTITY % critdates    "critdates"                                  >


<!--                    CREATED DATE NAME                          -->
<!ENTITY % created      "created"                                    >


<!--                    REVISED DATE NAME                          -->
<!ENTITY % revised      "revised"                                    >


<!--                    PERMISSIONS NAME                           -->
<!ENTITY % permissions  "permissions"                                >


<!--                    CATEGORY NAME                              -->
<!ENTITY % category     "category"                                   >


<!--                    AUDIENCE NAME                              -->
<!ENTITY % audience     "audience"                                   >


<!--                    KEYWORDS NAME                              -->
<!ENTITY % keywords     "keywords"                                   >


<!--                    PRODUCT INFORMATION NAME                   -->
<!ENTITY % prodinfo     "prodinfo"                                   >


<!--                    PRODUCT NAME NAME                          -->
<!ENTITY % prodname     "prodname"                                   >


<!--                    XXXX                                       -->
<!ENTITY % vrmlist      "vrmlist"                                    >


<!--                    XXXX                                       -->
<!ENTITY % vrm          "vrm"                                        >


<!--                    BRAND NAME                                 -->
<!ENTITY % brand        "brand"                                      >


<!--                    SERIES NAME                                -->
<!ENTITY % series       "series"                                     >


<!--                    PLATFORM NAME                              -->
<!ENTITY % platform     "platform"                                   >


<!--                    PROGRAM NUMBER NAME                        -->
<!ENTITY % prognum      "prognum"                                    >


<!--                    FEATURE NUMBER NAME                        -->
<!ENTITY % featnum      "featnum"                                    >


<!--                    COMPONENT NAME                             -->
<!ENTITY % component    "component"                                  >


<!--                    OTHER METADATA NAME                        -->
<!ENTITY % othermeta    "othermeta"                                  >


<!--                    RESOURCE IDENTIFIER NAME                   -->
<!ENTITY % resourceid   "resourceid"                                 >


<!--                    INDEX TERM NAME                            -->
<!ENTITY % indexterm    "indexterm"                                  >

<!-- TC: Here's version Two -->

<!ENTITY % audience     "audience"                                   >
<!ENTITY % author       "author"                                     >
<!ENTITY % brand        "brand"                                      >
<!ENTITY % category     "category"                                   >
<!ENTITY % component    "component"                                  >
<!ENTITY % copyrholder  "copyrholder"                                 >
<!ENTITY % copyright    "copyright"                                  >
<!ENTITY % copyryear    "copyryear"                                  >
<!ENTITY % created      "created"                                    >
<!ENTITY % critdates    "critdates"                                  >
<!ENTITY % featnum      "featnum"                                    >
<!ENTITY % keywords     "keywords"                                   >
<!ENTITY % othermeta    "othermeta"                                  >
<!ENTITY % permissions  "permissions"                                >
<!ENTITY % platform     "platform"                                   >
<!ENTITY % prodinfo     "prodinfo"                                   >
<!ENTITY % prodname     "prodname"                                   >
<!ENTITY % prognum      "prognum"                                    >
<!ENTITY % publisher    "publisher"                                  >
<!ENTITY % resourceid   "resourceid"                                 >
<!ENTITY % revised      "revised"                                    >
<!ENTITY % series       "series"                                     >
<!ENTITY % source       "source"                                     >
<!ENTITY % vrm          "vrm"                                        >
<!ENTITY % vrmlist      "vrmlist"                                    >
<!ENTITY % indexterm    "indexterm"                                  >


<!-- ============================================================= -->
<!--                    METADATA ELEMENTS                          -->
<!-- ============================================================= -->


<!--                    AUTHOR                                     -->
<!--                    The person or organization who created the
                        content (Equiv. Dublin Core Creator)       -->
<!ELEMENT  author       (%words.cnt;)*                               >
<!--         href       Link to xxx
             keyref     xxx
             type       What was the role of this author in the
                        creation of this content?
                          creator     - Intellectual creation of the
                                        work
                          contributor - Other contribution, such as
                                        editor or illustrator      -->
<!ATTLIST  author 
             href       CDATA                             #IMPLIED
             keyref     CDATA                             #IMPLIED
             type       (creator | contributor)           #IMPLIED   >


<!--                    SOURCE                                     -->
<!--                    An identifier or name for the original form of
                        the content (Equiv. Dublin Core Source)    -->
<!ELEMENT  source       (%words.cnt;)*                               >
<!--         href       Link to original source or description of
                        the source xxx
             keyref     XXXX                                       -->
<!ATTLIST  source 
             href       CDATA                             #IMPLIED
             keyref     CDATA                             #IMPLIED   >
             

<!--                    PUBLISHER                                  -->
<!--                    The organization which provides and 
                        distributes the content (Equiv. Dublin Core 
                        Publisher)                                 -->
<!ELEMENT  publisher    (%words.cnt;)*                               >
<!--         href       Link to a website of the publisher
             keyref     XXXX                                       -->  
<!ATTLIST  publisher
             href       CDATA                             #IMPLIED
             keyref     CDATA                             #IMPLIED
             %select-atts;                                           >


<!-- ============================================================= -->
<!--                    COPYRIGHT AND PERMISSION ELEMENTS          -->
<!-- ============================================================= -->


<!--                    COPYRIGHT                                  -->
<!--                    Statement of the legal ownership of the 
                        content. (Equiv. Dublin Core Rights)       -->
<!ELEMENT  copyright   ((%copyryear;)+, %copyrholder;)               >
<!--         type      type of copyright; values are:
                         primary - primary copyright
                         secondary - secondary copyright           -->
<!ATTLIST  copyright 
             type      (primary | secondary)              #IMPLIED   >


<!--                    COPYRIGHT YEAR                             -->
<!--                    Year the content was copyrighted           -->
<!ELEMENT  copyryear    EMPTY                                        >
<!--         year       Year in 4-digit ISO date format            -->
<!ATTLIST  copyryear
             year       %date-format;                    #REQUIRED
             %select-atts;                                           >


<!--                    COPYRIGHT HOLDER                           -->
<!--                    Owner of the copyright for the content     -->
<!ELEMENT  copyrholder  (%words.cnt;)*                               >


<!--                    PERMISSIONS                                -->
<!--                    Specification of the level of entitlement 
                        necessary to access the content            -->
<!ELEMENT  permissions  EMPTY                                        >
<!--         view       The security level for a document; 
                        values are:
                          all        - Content is unrestricted,
                                       anyone can view the document
                          classified - Content is classified
                          entitled   - XXXX                       
                          internal   - Content to be released and
                                       viewed inside a corporation: 
                                       internal use only           -->
<!ATTLIST  permissions
             view       (internal | classified | all | 
                         entitled)                       #REQUIRED   >


<!-- ============================================================= -->
<!--                    DATE ELEMENTS                              -->
<!-- ============================================================= -->


<!--                    CRITICAL DATES                             -->
<!--                    Milestones in the publishing cycle.
                        (Equiv Dublin Core Date)
                        Note: All attributes within <critdates> need 
                        to take ISO date format                    -->
<!ELEMENT critdates     (%created;, (%revised;)*)                    >


<!--                    CREATED DATE                               -->
<!--                    Date on which the content was created, by
                        convention the date it was finished or
                        (less commonly) started
                        All attributes within <critdates> need 
                        to take ISO date format                    -->
<!ELEMENT  created      EMPTY                                        >
<!--         date       Creation date in ISO date format
             golive     ISO date format of the date content was
                        published or "went live"
             expiry     Year the content expired / is due to expire
                                                                   -->
<!ATTLIST  created 
             date       %date-format;                    #REQUIRED
             golive     %date-format;                     #IMPLIED
             expiry     %date-format;                     #IMPLIED   >


<!--                    REVISED DATE                               -->
<!--                    Date of one revision of the content, there may
                        be many such dates
                        All attributes within <critdates> need 
                        to take ISO date format                    -->
<!ELEMENT  revised      EMPTY                                        >
<!--         modified   ISO data-format of the date of modification
             golive     ISO date format of the date content was
                        published or "went live"
             expiry     Year the content expired / is due to expire
                                                                   -->
<!ATTLIST  revised  
             modified   %date-format;                    #REQUIRED
             golive     %date-format;                     #IMPLIED
             expiry     %date-format;                     #IMPLIED
             %select-atts;                                           >

<!-- ============================================================= -->
<!--                    METADATA GROUPING ELEMENTS                 -->
<!-- ============================================================= -->

<!--                    AUDIENCE                                   -->
<!--                    The type, job, experience-level, and other
                        characteristics of the reader for the
                        topic content.                             -->
<!ELEMENT  audience     EMPTY                                        >
             type       indicates the type of audience; values 
                        are:
                          user          - Product or service user 
                          purchaser     - Buyer of the product or
                                          service
                          administrator - Systems administrator
                          programmer    - a computer programmer
                          other         - something other than the 
                                          listed audience types
             othertype  used in conjunction with the value "other"
                        for the attribute "type" to name the 
                        other type of audience involved
             job        indicates the related job; values are:
                          installing    - XXXX
                          customizing   - XXXX
                          administering - XXXX
                          programming   - XXXX
                          using         - XXXX
                          maintaining   - XXXX
                          troubleshooting - XXXX
                          evaluating    - XXXX
                          planning      - XXXX
                          migrating     - XXXX
                          other         - Something other than the 
                                          listed jobs
             otherjob   used in conjunction with the value "other"
                        for the attribute "job" to name the 
                        other type of job involved
             experiencelevel
                        indicates the audience's level of experience,
                        e.g., novice, mid-level, etc. Values are
                        "novice", "general", and "expert".
             name       XXXX      
                                                                   -->
<!ATTLIST  audience
             type       (user | purchaser | administrator | 
                         programmer | executive | 
                         services | other)                #IMPLIED
             othertype  CDATA                             #IMPLIED
             job        (installing | customizing | 
                         administering | programming |
                         using| maintaining | troubleshooting |
                         evaluating | planning | migrating |
                         other)                           #IMPLIED
             otherjob    CDATA                            #IMPLIED
             experiencelevel
                         (novice | general | expert)      #IMPLIED
             name        NMTOKEN                          #IMPLIED
             %select-atts;                                           >


<!--                    CATEGORY                                   -->
<!--                    A classification of the topic content, for 
                        example form an enumerated or hierarchical
                        subject list or thesaurus. (Equiv. Dublin
                        Core Subject)                              -->
<!ELEMENT  category     (%words.cnt;)*                               >
<!ATTLIST  category     
             %select-atts;                                           >


<!--                    KEYWORDS                                   -->
<!--                    Terms form a controlled or uncontrolled 
                        subject vocabulary that apply to the topic -->
<!ELEMENT  keywords     (%indexterm; | %keyword;)*                   >
<!ATTLIST  keywords
             %id-atts;
             %select-atts;                                           >


<!--                    PRODUCT INFORMATION                        -->
<!--                    The definition of the product or platform 
                        for the topic
                        Note: The <prodinfo> element can
                        elaborate values used by the product and
                        platform attributes.
<!ELEMENT  prodinfo     (%prodname;, %vrmlist;, (%brand; | 
                         %series; | %platform; | %prognum; | 
                         %featnum; | %component;)*)                  >
<!ATTLIST  prodinfo
             %select-atts;                                           
             
             
<!--                    PRODUCT NAME                               -->
<!--                    Applications may validate the content 
                        of these dataphrase elements               -->
<!ELEMENT  prodname     (%words.cnt;)*                               > 


<!--                    XXXX                                       -->
<!ELEMENT  vrmlist      (%vrm;)+                                     >


<!--                    XXXX                                       -->
<!ELEMENT  vrm          EMPTY                                        >
<!--          version   names the version
              release   names the release
              modification
                        names the modification                     -->
<!ATTLIST  vrm
             version    CDATA                            #REQUIRED
             release    CDATA                             #IMPLIED
             modification
                        CDATA                             #IMPLIED   >             

             
<!--                    BRAND                                      -->
<!ELEMENT  brand        (%words.cnt;)*                               >


<!--                    SERIES                                     -->
<!ELEMENT  series       (%words.cnt;)*                               >


<!--                    PLATFORM                                   -->
<!ELEMENT  platform     (%words.cnt;)*                               >


<!--                    PROGRAM NUMBER                             -->
<!ELEMENT  prognum      (%words.cnt;)*                               >


<!--                    FEATURE NUMBER                             -->
<!ELEMENT  featnum      (%words.cnt;)*                               >


<!--                    COMPONENT                                  -->
<!ELEMENT  component    (%words.cnt;)*                               >
             
             
<!--                    OTHER METADATA                             -->
<!--                    Container element for any metadata which 
                        does not fit in one of the other declared 
                        elements. Contains a name-value pair that
                        specifies the other metadata
                        NOTE: needs to be HTML-equiv, at least     -->
<!ELEMENT  othermeta    EMPTY                                        >
<!--         name       Names the other metadata                   
             content    Holds the content of the other metadata    
             translate-content
                        Should this content be translated? Values
                        are:
                          yes - Translate the content
                          no  - Don't translate the content        -->
<!ATTLIST  othermeta 
             name       CDATA                            #REQUIRED
             content    CDATA                            #REQUIRED
             translate-content
                        (yes | no)                        #IMPLIED
             %select-atts;                                           >
             
             
<!--                    RESOURCE IDENTIFIER                        -->
<!ELEMENT  resourceid   EMPTY                                        >
<!--         id         An identifier for the resource
                        NOTE:  This is not a unique identifier,
                        i.e., its value cannot be used to create 
                        a live link nor can a parser check that 
                        no other id attribute within a document 
                        has the same value
             appname    Application name xxx                       -->
<!ATTLIST  resourceid
             id         CDATA                            #REQUIRED
             appname    CDATA                             #IMPLIED   >             
             

<!--                    INDEX TERM                                 -->
<!--                    A search term used to describe topic content
                        from which an index could be built. This
                        element constitutes one index entry        -->
<!ELEMENT  indexterm    (%words.cnt; | %indexterm;)*                 > 
<!--         keyref     xxx                                        -->
<!ATTLIST  indexterm
             keyref     CDATA                             #IMPLIED
             %univ-atts;                                             >             
             

<!-- ============================================================= -->
<!--                    SPECIALIZATION ATTRIBUTES                  -->
<!-- ============================================================= -->
             

<!ATTLIST  author      %global-atts;  class CDATA "- topic/author "      >
<!ATTLIST  source      %global-atts;  class CDATA "- topic/source "      >
<!ATTLIST  publisher   %global-atts;  class CDATA "- topic/publisher "   >
<!ATTLIST  copyright   %global-atts;  class CDATA "- topic/copyright "   >
<!ATTLIST  copyryear   %global-atts;  class CDATA "- topic/copyryear "   >
<!ATTLIST  copyrholder %global-atts;  class CDATA "- topic/copyrholder " >
<!ATTLIST  critdates   %global-atts;  class CDATA "- topic/critdates "   >
<!ATTLIST  created     %global-atts;  class CDATA "- topic/created "     >
<!ATTLIST  revised     %global-atts;  class CDATA "- topic/revised "     >
<!ATTLIST  permissions %global-atts;  class CDATA "- topic/permissions " >
<!ATTLIST  category    %global-atts;  class CDATA "- topic/category "    >
<!ATTLIST  audience    %global-atts;  class CDATA "- topic/audience "    >
<!ATTLIST  keywords    %global-atts;  class CDATA "- topic/keywords "    >
<!ATTLIST  prodinfo    %global-atts;  class CDATA "- topic/prodinfo "    >
<!ATTLIST  prodname    %global-atts;  class CDATA "- topic/prodname "    >
<!ATTLIST  vrmlist     %global-atts;  class CDATA "- topic/vrmlist "     >
<!ATTLIST  vrm         %global-atts;  class CDATA "- topic/vrm "         >
<!ATTLIST  brand       %global-atts;  class CDATA "- topic/brand "       >
<!ATTLIST  series      %global-atts;  class CDATA "- topic/series "      >
<!ATTLIST  platform    %global-atts;  class CDATA "- topic/platform "    >
<!ATTLIST  prognum     %global-atts;  class CDATA "- topic/prognum "     >
<!ATTLIST  featnum     %global-atts;  class CDATA "- topic/featnum "     >
<!ATTLIST  component   %global-atts;  class CDATA "- topic/component "   >
<!ATTLIST  othermeta   %global-atts;  class CDATA "- topic/othermeta "   >
<!ATTLIST  resourceid  %global-atts;  class CDATA "- topic/resourceid "  >
<!ATTLIST  indexterm   %global-atts;  class CDATA "- topic/indexterm "   >


<!-- ================== End DITA Metadata ======================== -->